<?php
class clase_login {
	/**
	 * Puntero a la clase de base de datos del padre
	 *
	 * @var clase_bd
	 */
	var $bd;
	/**
	 * Clase web padre que crea a esta
	 *
	 * @var aplicacion
	 */
	var $padre;
	/**
	 * constructor
	 * @param aplicacion $padre
	 * @return clase_login
	 */
	function clase_login(&$padre){
		$this->padre = &$padre;
		$this->bd	 = &$padre->bd;
	}
	/**
	 * Comprueba la sesion actual
	 *
	 * @return bool
	 */
	function existeSesion(){
		if ($this->padre->sesion->Check()) {
			$idu = $this->bd->seleccion_unica("idu from personas where idu=".intval($_SESSION['idu']));
			return ($idu>0); //existe?
		} else return false;
	}
	/**
	 * Comprueba el login devolviendo el identificador de la tabla de usuarios (personas)
	 *
	 * @param str $usuario
	 * @param str $password
	 * @return int
	 */
	function login($usuario,$password){
		$idu = $this->bd->seleccion_unica("idu from personas where correo='".sanar($usuario)."' and password=md5('".sanar($password)."')");
 		
 		if (!$idu) { 
 			return false;
 		} else {
 			$this->padre->sesion->check_browser = true; //si cambia de navegador ,la informacin cambia por el DOM
			$this->padre->sesion->check_ip_blocks = 4;
			$this->padre->sesion->secure_word = 'KANDAO2_';
			$this->padre->sesion->regenerate_id = true;
			$this->crearSesion($idu,false);
 		 	return true;	
 		}
	}
	/**
	 * Hace el logout...
	 *
	 */
	function logout(){
		if ($this->existeSesion())
		$this->padre->sesion->d();
	}
	/**
	 * Crea la sesion en cuestion a usar
	 *
	 * @param int $idUsuario
	 * @param bool $debug
	 */
	function crearSesion($idUsuario,$debug=false)
	{
		$this->padre->sesion->Open();
		$_SESSION['idu']      = $idUsuario;
		$_SESSION['usuario']  = $this->bd->seleccion_unica("correo from personas where idu=".$idUsuario);
		$_SESSION['nivel']    = $this->bd->seleccion_unica("nivel from personas where idu=".$idUsuario);
		$_SESSION['idgrupos'] = $this->bd->seleccion_unica("idgrupos from personas where idu=".$idUsuario);
		if ($_SESSION['nivel']>2) $_SESSION['es_admin'] = 1;
		if ($debug) {
	 	 echo 'COOKIES:';
			print_r($_COOKIE);
		 echo '<br>SESION:';
			print_r($_SESSION);
		}		
	}
	/**
	 * Enter description here...
	 *
	 * @param unknown_type $idu
	 * @return unknown
	 */
	function listaFicheros($idu){
		return $this->bd->seleccion("idf,fichero from ficheros where idu=".intval($idu));
	}
}
?>